%define name		bbconf
%define version		1.10
%define release		%mkrel 4

Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://bbconf.sourceforge.net/
Source:		http://bbconf.sourceforge.net/code/%{name}-%{version}.tar.bz2
Source1:	%{name}-16x16.png.bz2
Source2:	%{name}-32x32.png.bz2
Source3:	%{name}-48x48.png.bz2
Group:		Graphical desktop/Other
License:	GPL
BuildRequires:	qt3-devel
BuildRequires:	XFree86-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
#Obsoletes:	bbkeysconf
BuildRoot:	%{_tmppath}/%{name}-%{version}
Summary:	Bbconf

%description
Bbconf is a complete GUI blackbox configuration tool.
It uses plugins to allow other developers to easily develop plugins 
to run inside bbconf to allow every aspect of blackbox and its 
companion programs to be configured easily in a single application.  
Bbconf comes with 4 plugins, allowing configuration of blackbox's 
keybindings, blackbox's menus, and blackbox's style files/themes.

%prep

%setup -q -n %{name}-%{version}
./configure 	--prefix=%_prefix \
		--exec-prefix=%_prefix \
		--bindir=%_bindir \
		--datadir=%_datadir \
		--libdir=%_libdir \
		--libexecdir=%_libdir \
		--mandir=%_mandir \


%build
%make

%install
mkdir -p $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT

# rm unpackaged files.
rm $RPM_BUILD_ROOT/usr/doc/bbconf/*

# Menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" needs="x11" \
icon="%{name}.png" section="System/Configuration/Other" \
title="Bbconf" longtitle="Bbconf is a complete GUI config tool for blackbox" \
xdg="true"
EOF
  
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Bbconf
Comment=Bbconf is a complete GUI config tool for blackbox
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-System-Configuration-Other;Settings;
EOF

#icon
install -d $RPM_BUILD_ROOT/%{_iconsdir}
install -d $RPM_BUILD_ROOT/%{_miconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
 
%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README README.html ChangeLog AUTHORS TODO COPYING
%attr(755,root,root) 
%_bindir/*
%_libdir/%name
%_mandir/man1/*
%_menudir/*
%{_datadir}/applications/mandriva-%{name}.desktop
%_iconsdir/%{name}.png
%_liconsdir/%{name}.png
%_miconsdir/%{name}.png
  
%changelog
* Mon Sep 04 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.10-4mdv2007.0
- XDG

* Thu Jan 06 2006 Lenny Cartier <lenny@mandriva.com> 1.10-3mdk
- rebuild

* Mon Jul 05 2004 Michael Scherer <misc@mandrake.org> 1.10-2mdk 
- rebuild for new gcc

* Thu Jun 03 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.10-1mdk
- 1.10

* Mon Mar 17 2003 Marcel Pol <mpol@gmx.net> 1.8-5mdk
- buildrequires

* Sun Mar 02 2003 Marcel Pol <mpol@gmx.net> 1.8-4mdk
- include specfle (??)

* Mon Aug 19 2002 Laurent Culioli <laurent@pschit.net> 1.8-2mdk
- Rebuild with gcc3.2

* Thu Jul 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.8-1mdk
- 1.8

* Fri Jul 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.6-1mdk
- 1.6
- xpm2png
- from an old Marcel Pol <mpol@gmx.net> spec :
    - removed unnecessary rm -rf $RPM_BUILD_ROOT
    - todo: can the config paths be set?

* Tue Nov 06 2001 Marcel Pol <mpol@gmx.net> 1.2-1mdk
- Used src.rpm from original URL
- Added menu-entry
- Did not enter Obsoletes because of massive request
	
